Retrieve Cheque by Code

Prev Next
Get
/ap-rest-api/rest/1/apvouchq

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • SelectVouChq
  • Primary Key

Select Voucher Chq

Recommended finder parameters. Refer to Query Parameters for example.

Parameters
Parameter Description Example
compCode Company Code 001
invCode Invoice Code INV0202
venCode Vendor Code 3456
chqNum Cheque Number 85

Primary Key

This is an optional finder for querying a specific Voucher Cheque by its Primary Key (combination of attributes)

Parameters
Parameter Description Example
VchqChqCompCode Company Code 001
VchqVouNum Cheque Number 313753
VchqChqSeq Cheque Sequence Number 111746
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleselectVouChq;compCode=001, invCode=INV0202, venCode=3456, chqNum=85
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleVchqChqSeq:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
example-0

Successful Response - Finder - selectVouChq

{
  "items": [
    {
      "VchqCompCode": "001",
      "VchqVenCode": "3456",
      "VchqVenName": "The Prince Groupppp",
      "VchqChqNum": 85,
      "VchqChqSeq": 111779,
      "VchqChqCompCode": "001",
      "VchqInvCode": "INV0202",
      "VchqVouNum": 313877,
      "VchqVouDesc": null,
      "VchqPostDate": "2016-04-15",
      "VchqPayAmt": 6000,
      "Vchq1099Code": "X",
      "Vchq1099Name": "Exempt",
      "VchqBchNum": 230587,
      "VchqCisApplicableAmt": 0,
      "VchqCisPayableAmt": 0,
      "VchqCisPc": null,
      "VchqCisVouNum": null,
      "VchqDiscAmt": 0,
      "VchqHldbkAmt": 0,
      "VchqPayperTax1Amt": null,
      "VchqPayperTax2Amt": null,
      "VchqPayperTax3Amt": null,
      "VchqPayperTax4Amt": null,
      "VchqPayperTax5Amt": null,
      "VchqPayperVmemoNum": null,
      "VchqTaxTreatmentPercent": null,
      "VchqVouFactorNum": 1,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/apvouchq/0004000000033030310000000EACED00057708000000000001B4A3000000033030310000000EACED00057708000000000004CA15",
          "name": "apvouchq",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/apvouchq/0004000000033030310000000EACED00057708000000000001B4A3000000033030310000000EACED00057708000000000004CA15",
          "name": "apvouchq",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/apvouchq",
      "name": "apvouchq",
      "kind": "collection"
    }
  ]
}
example-1

Successful Response - Finder - selectVouChq

{
  "items": [
    {
      "VchqCompCode": "001",
      "VchqVenCode": "3456",
      "VchqVenName": "The Prince Groupppp",
      "VchqChqNum": 85,
      "VchqChqSeq": 111779,
      "VchqChqCompCode": "001",
      "VchqInvCode": "INV0202",
      "VchqVouNum": 313877,
      "VchqVouDesc": null,
      "VchqPostDate": "2016-04-15",
      "VchqPayAmt": 6000,
      "Vchq1099Code": "X",
      "Vchq1099Name": "Exempt",
      "VchqBchNum": 230587,
      "VchqCisApplicableAmt": 0,
      "VchqCisPayableAmt": 0,
      "VchqCisPc": null,
      "VchqCisVouNum": null,
      "VchqDiscAmt": 0,
      "VchqHldbkAmt": 0,
      "VchqPayperTax1Amt": null,
      "VchqPayperTax2Amt": null,
      "VchqPayperTax3Amt": null,
      "VchqPayperTax4Amt": null,
      "VchqPayperTax5Amt": null,
      "VchqPayperVmemoNum": null,
      "VchqTaxTreatmentPercent": null,
      "VchqVouFactorNum": 1,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/apvouchq/0004000000033030310000000EACED00057708000000000001B4A3000000033030310000000EACED00057708000000000004CA15",
          "name": "apvouchq",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/apvouchq/0004000000033030310000000EACED00057708000000000001B4A3000000033030310000000EACED00057708000000000004CA15",
          "name": "apvouchq",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 50,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ap-rest-api/rest/1/apvouchq",
      "name": "apvouchq",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved